Page MenuHomePhabricator

Getting rid of own login page (tracking)
Closed, ResolvedPublic

Description

It also happens for alpha mode (yay!), i want to have a bug for this for tracking purposes.

The login page of MobileFrontend actually is provided by it's own implementation to fit the needs of mobile devices. It isn't really needed anymore, the login page customisations should be done with special css rules or in core. Actually it's difficult to overwrite the loginpage for other extensions (like GoogleLogin), if MobileFrontend loads after this extension.


Version: unspecified
Severity: normal

Details

Reference
bz72910
Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterUse core login form
mediawiki/extensions/MobileFrontend : masterDo not override login form in beta

Related Objects

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 4:00 AM
bzimport set Reference to bz72910.
Florian created this task.Nov 3 2014, 5:34 PM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/tOKYUJrd

Alpha patch: I8f89bdaf3dc7fde104f199554b18486c30580910

Florian renamed this task from Tracking: Getting rid of own login page to [Tracking] Getting rid of own login page.Nov 27 2014, 9:18 PM
Florian set Security to None.
Nemo_bis renamed this task from [Tracking] Getting rid of own login page to Getting rid of own login page (tracking).Jul 19 2015, 9:58 AM

Change 231146 had a related patch set uploaded (by Florianschmidtwelzow):
Use core login form

https://gerrit.wikimedia.org/r/231146

Change 231184 had a related patch set uploaded (by Jdlrobson):
Do not override login form in beta

https://gerrit.wikimedia.org/r/231184

Change 231146 had a related patch set uploaded (by Jdlrobson):
Use core login form

https://gerrit.wikimedia.org/r/231146

Change 231184 merged by jenkins-bot:
Do not override login form in beta

https://gerrit.wikimedia.org/r/231184

Jidanni removed a subscriber: Jidanni.Aug 15 2015, 2:13 AM
Jhernandez triaged this task as High priority.Aug 17 2015, 12:41 PM
Jhernandez edited projects, added Epic, MobileFrontend; removed Readers-Web-Backlog.
Jhernandez moved this task from Backlog to Tech debt on the MobileFrontend board.
Jdlrobson added a subscriber: Jhernandez.

@Jhernandez can we look to make sure this put in the next sprint if it hasn't been merged by then? I'm keen to see the back of this code!

It's already on high priority so it will show up on searches.

I agree this needs to happen sooner than later, but we also need to focus more on getting quick surveys and performance work done, we may be spreading a bit too thin and we may be risking not accomplishing the goals we set.

As said this is high and will show up for next sprints so don't worry!

Maybe ping reviewers manually?

@Jdlrobson I know you wanted to get this done sooner than later. Feel free to put subtasks into the next sprint board (search for 55 on phab)

Florian closed this task as Resolved.Sep 3 2015, 9:35 PM

*yay*

Change 231146 merged by jenkins-bot:
Use core login form

https://gerrit.wikimedia.org/r/231146